> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prexsell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a stop by ID

> Returns a single bus stop record including coordinates and an embedded city summary.



## OpenAPI

````yaml /docs/openapi/openapi.json get /v2/stops/{id}
openapi: 3.1.0
info:
  title: PREXSELL REST v2
  version: 5.97.1
  description: REST API for the PREXSELL bus booking management platform.
servers:
  - url: https://staging.api.prexsell.com
    description: Staging
  - url: https://api.prexsell.com
    description: Production
security: []
paths:
  /v2/stops/{id}:
    get:
      tags:
        - Stops
      summary: Get a stop by ID
      description: >-
        Returns a single bus stop record including coordinates and an embedded
        city summary.
      operationId: getStopById
      parameters:
        - schema:
            type: string
            description: Unique identifier of the stop.
            example: cst1a2b3c4d5e6f7g8h9
          required: true
          description: Unique identifier of the stop.
          name: id
          in: path
      responses:
        '200':
          description: >-
            A single bus stop record with coordinates and an embedded city
            summary.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      stop:
                        type: object
                        properties:
                          id:
                            type: string
                          place:
                            type: string
                          type:
                            type: string
                            enum:
                              - Airport
                              - TrainStation
                              - BusStation
                              - Regular
                          latitude: {}
                          longitude: {}
                          city:
                            type: object
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              slug:
                                type: string
                              country:
                                type: string
                                enum:
                                  - UA
                                  - TR
                                  - PL
                                  - CZ
                                  - IT
                                  - DE
                                  - SK
                                  - HU
                                  - BE
                                  - NL
                                  - RO
                                  - BG
                                  - FR
                                  - AT
                                  - LT
                                  - LV
                                  - EE
                                  - ES
                                  - LU
                                  - CH
                                  - GR
                                  - MD
                                  - SI
                              timeZone:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - name
                              - slug
                              - country
                              - timeZone
                            additionalProperties: false
                        required:
                          - id
                          - place
                          - type
                          - city
                        additionalProperties: false
                    required:
                      - stop
                required:
                  - data
                example:
                  data:
                    stop:
                      id: cst1a2b3c4d5e6f7g8h9
                      place: Центральний автовокзал
                      type: BUS_STATION
                      latitude: 50.4501
                      longitude: 30.5234
                      city:
                        id: cld1a2b3c4d5e6f7g8h9i0j1
                        name: Київ
                        slug: kyiv
                        country: UA
                        timeZone: Europe/Kyiv
        '404':
          description: Standard error response body.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: AUTH_INVALID_CREDENTIALS
                        errorCode:
                          type: string
                          example: UNAUTHORIZED
                        details: {}
                      required:
                        - message
                required:
                  - errors
                example:
                  errors:
                    - message: RESOURCE_NOT_FOUND
                      errorCode: NOT_FOUND

````